Information on source package grpc

Available versions

ReleaseVersion
buster1.16.1-1
bullseye1.30.2-3
bookworm1.51.1-3
trixie1.51.1-4
sid1.51.1-4

Open issues

BugbusterbullseyebookwormtrixiesidDescription
CVE-2023-44487vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableThe HTTP/2 protocol allows a denial of service (server resource consum ...
CVE-2023-33953vulnerable (no DSA, postponed)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerablegRPC contains a vulnerability that allows hpack table accounting error ...
CVE-2023-32732vulnerable (no DSA, postponed)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerablegRPC contains a vulnerability whereby a client can cause a termination ...
CVE-2023-4785vulnerable (no DSA)vulnerable (no DSA)vulnerable (no DSA)vulnerablevulnerableLack of error handling in the TCP server in Google's gRPC starting ver ...

Resolved issues

BugDescription
CVE-2023-32731When gRPC HTTP2 stack raised a header size exceeded error, it skipped ...
CVE-2023-1428There exists an vulnerability causing an abort() to be called in gRPC. ...
CVE-2017-9431Google gRPC before 2017-04-05 has an out-of-bounds write caused by a h ...
CVE-2017-8359Google gRPC before 2017-03-29 has an out-of-bounds write caused by a h ...
CVE-2017-7861Google gRPC before 2017-02-22 has an out-of-bounds write related to th ...
CVE-2017-7860Google gRPC before 2017-02-22 has an out-of-bounds write caused by a h ...

Search for package or bug name: Reporting problems